function Group() {
    var self = this;

    this.students = {};

    this.push = function (student, transfered) {
        self.students[+student.ID] = student;
        self.students[+student.ID].transfered = transfered;
    };

    this.exists = function(id) {
        return (id in self.students);
    };

    this.pop = function (id) {
        var rec = (id in self.students) ? self.students[id] : {};
        delete self.students[id];
        return rec;
    };

    this.getIDs = function () {
        return Object.keys(self.students);
    };

    this.peek = function (id) {
        return (id in self.students) ? self.students[id] : {};
    };

    this.setList = function (data) {
        data.forEach(function (student) {
            self.push(student, false);
        });
    };

    this.clear = function () {
        self.students = {};
    };
}

