$(function () {
    var jProfiler = $('#profileInfo').first();
    var isOpened = false;
    var flag = false;
    var jLogin = $('#login');
    var jPass = $('#password');
    var jError = $('.auth_error');
    var jSignButton = $('#signin_b');
    
    // Показ профиля при нажатии

    $('#settingsButton').click(function () {
        $.get(URLdir + "window/settings", function (data) {
            wnd.open(JSON.parse(data));
            onSettingsPopup();
        });
    });

    $(document).click(function () {
        if (flag === true) {
            flag = false;
        } else if (isOpened === true) {
            jProfiler.slideUp(200);//css('display', 'none');
            isOpened = false;
        }
    });

    $(".profile_wrapper").click(function () {
        flag = true;
    });

    $('#username').click(function () {
        flag = true;
        if (isOpened) {
            jProfiler.slideUp(200);//css('display', 'none');
            isOpened = false;
        }
        else {
            jProfiler.slideDown(200);//css('display', 'block');
            isOpened = true;
        }
    });


    function closeSession() {
        $.post(URLdir + 'handler/Session/closeSession')
            .done(_ => { $('.popup_overlay').show(); jLogin.focus() });
    }

    function setSessionTimer(time) {
        let updateTime = () =>
            $.postJSON(URLdir + 'handler/Session/getSessionTime', {})
                .done(wait => (wait <= 10) ? closeSession() : setSessionTimer(wait - 10));

        setTimeout(updateTime, 1000 * time);
    }

    setSessionTimer(1);


    Auth.onAllow = function() {
        jSignButton.removeAttr('disabled');
    };
        
    // todo: animation
    Auth.onDeprecate = function() {
        jSignButton.attr('disabled', 'disabled');
    };
    
    function tryToAuthorize() {
        var login = jLogin.val();
        var pass = jPass.val();

        // check fields are empty 
        if (login.length == 0 || pass.length == 0) {
            login.length ? jPass.focus() : jLogin.focus();
            return;
        }
        
        // send ajax request
        Auth.signIn(login, pass)
            .fail(_ => jError.show())
            .done(_ => {
                // global var at base.twig
                User.login == login
                    ? setSessionTimer(15)
                    : window.location.replace(URLdir);

                $('.popup_overlay').hide();
                jError.hide();
                jLogin.val('');
                jPass.val('');
            });
    }
    
    jLogin.add(jPass).keypress(function (event) {
        if (event.keyCode == 13)
            tryToAuthorize();
        else jError.fadeOut(600);
    });

    jSignButton.click(tryToAuthorize);

});
